## org.jCharts.chartData.processors
Class StockDataProcessor

    java.lang.Object
      org.jCharts.chartData.processors.StockDataProcessor

    abstract class StockDataProcessor

extends Object

Custom processor for the Stock Chart as data is semi-processed by default.

Constructor Summary
`StockDataProcessor()`

Method Summary
`static void` `processData(IStockChartDataSet iStockChartDataSet, AxisChartDataProcessor axisChartDataProcessor)` Only need to loop through the 'high' to find MAX and 'low' to find MIN.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StockDataProcessor

    StockDataProcessor()

Method Detail

### processData

    public static final void processData(IStockChartDataSet iStockChartDataSet,
                                         AxisChartDataProcessor axisChartDataProcessor)

  Only need to loop through the 'high' to find MAX and 'low' to find MIN.

  Parameters:
    `iStockChartDataSet` -
    `axisChartDataProcessor` -